WebRuntimeSpringConfiguration (Grails 6.0.0)

Package: org.grails.web.servlet.context.support

## [Java] Class WebRuntimeSpringConfiguration

- org.grails.web.servlet.context.support.WebRuntimeSpringConfiguration

- All Implemented Interfaces and Traits:
    org.springframework.web.context.ServletContextAware

      public class WebRuntimeSpringConfiguration
      extends DefaultRuntimeSpringConfiguration
      implements org.springframework.web.context.ServletContextAware

  Subclasses DefaultRuntimeSpringConfiguration to provide construction of WebApplicationContext instances.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private GrailsApplication` | `grailsApplication` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultRuntimeSpringConfiguration` | `LOG, aliases, beanConfigs, beanDefinitions, beanFactory, beanNames, classLoader, context, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WebRuntimeSpringConfiguration (org.springframework.context.ApplicationContext parent)`
    `WebRuntimeSpringConfiguration (org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl)`
    `WebRuntimeSpringConfiguration (org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl, GrailsApplication grailsApplication)`
    `WebRuntimeSpringConfiguration (org.springframework.context.ApplicationContext parent, GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.context.support.GenericApplicationContext` | `createApplicationContext(org.springframework.context.ApplicationContext parentCtx)`
    `` | `public void` | `setServletContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultRuntimeSpringConfiguration` | `addAbstractBean, addAlias, addBeanConfiguration, addBeanDefinition, addPrototypeBean, addPrototypeBean, addSingletonBean, addSingletonBean, addSingletonBean, containsBean, createApplicationContext, createBeanDefinition, createPrototypeBean, createSingletonBean, createSingletonBean, createSingletonBean, getApplicationContext, getBeanConfig, getBeanDefinition, getBeanNames, getUnrefreshedApplicationContext, initialiseApplicationContext, registerBeanAliasesWithRegistry, registerBeanConfigsWithRegistry, registerBeanConfiguration, registerBeanDefinitionsWithRegistry, registerBeansWithConfig, registerBeansWithContext, registerBeansWithRegistry, registerPostProcessor, registerUnrefreshedBeansWithRegistry, removeBeanDefinition, setBeanFactory, setClassLoaderOnContext, trySettingClassLoaderOnContextIfFoundInParent`

- - ### Field Detail

    - #### private GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent)

    - #### public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl)

    - #### public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl, GrailsApplication grailsApplication)

    - #### public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.context.support.GenericApplicationContext createApplicationContext(org.springframework.context.ApplicationContext parentCtx)

    - #### public void setServletContext(javax.servlet.ServletContext servletContext)